# ComputeAllFaceDescriptorsTask | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Class ComputeAllFaceDescriptorsTask<TSource>

#### Type Parameters

- #### TSource extends WithFaceLandmarks < WithFaceDetection <{}>>

#### Hierarchy

- ComputeFaceDescriptorsTaskBase < WithFaceDescriptor <TSource>[], TSource[]>
  - ComputeAllFaceDescriptorsTask

- Defined in globalApi/ComputeFaceDescriptorsTasks.ts:23

#####
Index

### Constructors

constructor

### Methods

run
then
withAgeAndGender
withFaceExpressions

## Constructors

### constructor

- new ComputeAllFaceDescriptorsTask<TSource>(parentTask: ComposableTask <TSource[]> | Promise<TSource[]>, input: any): ComputeAllFaceDescriptorsTask <TSource>

- #### Type Parameters

  - #### TSource extends WithFaceLandmarks <{
    detection: FaceDetection ;
    }, FaceLandmarks68 >

  #### Parameters

  - ##### parentTask: ComposableTask <TSource[]> | Promise<TSource[]>

  - ##### input: any

  #### Returns ComputeAllFaceDescriptorsTask <TSource>

  Inherited from ComputeFaceDescriptorsTaskBase.constructor

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:13

## Methods

### run

- run(): Promise< WithFaceDescriptor <TSource>[]>

- #### Returns Promise< WithFaceDescriptor <TSource>[]>

  Overrides ComputeFaceDescriptorsTaskBase.run

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:24

### then

- then(onfulfilled: ((value: WithFaceDescriptor <TSource>[]) => WithFaceDescriptor <TSource>[] | PromiseLike< WithFaceDescriptor <TSource>[]>)): Promise< WithFaceDescriptor <TSource>[]>

- #### Parameters

  - ##### onfulfilled: ((value: WithFaceDescriptor <TSource>[]) => WithFaceDescriptor <TSource>[] | PromiseLike< WithFaceDescriptor <TSource>[]>)

    - - (value: WithFaceDescriptor <TSource>[]): WithFaceDescriptor <TSource>[] | PromiseLike< WithFaceDescriptor <TSource>[]>

      - #### Parameters

        - ##### value: WithFaceDescriptor <TSource>[]

        #### Returns WithFaceDescriptor <TSource>[] | PromiseLike< WithFaceDescriptor <TSource>[]>

  #### Returns Promise< WithFaceDescriptor <TSource>[]>

  Inherited from ComputeFaceDescriptorsTaskBase.then

  - Defined in globalApi/ComposableTask.ts:3

### withAgeAndGender

- withAgeAndGender(): PredictAllAgeAndGenderWithFaceAlignmentTask< WithFaceDescriptor <TSource>>

- #### Returns PredictAllAgeAndGenderWithFaceAlignmentTask< WithFaceDescriptor <TSource>>

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:40

### withFaceExpressions

- withFaceExpressions(): PredictAllFaceExpressionsWithFaceAlignmentTask< WithFaceDescriptor <TSource>>

- #### Returns PredictAllFaceExpressionsWithFaceAlignmentTask< WithFaceDescriptor <TSource>>

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:36